Bug 1795817 - mpich fails to build with gcc 10: gfortran will not compile files that call the same routine with arguments of different types
Summary: mpich fails to build with gcc 10: gfortran will not compile files that call t...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: mpich
Version: 32
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Zbigniew Jędrzejewski-Szmek
QA Contact: Fedora Extras Quality Assurance
URL: https://koschei.fedoraproject.org/pac...
Whiteboard:
Depends On:
Blocks: GCC10
TreeView+ depends on / blocked
 
Reported: 2020-01-28 23:36 UTC by Miro Hrončok
Modified: 2020-06-24 21:30 UTC (History)
2 users (show)

Fixed In Version: mpich-3.3.2-3.fc32
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-06-24 21:30:49 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
GNU Compiler Collection 91731 P4 RESOLVED Configure error on building MPICH 2020-10-15 01:17:58 UTC

Description Miro Hrončok 2020-01-28 23:36:20 UTC
Description of problem:
Package mpich fails to build from source in Fedora rawhide.

checking whether gfortran allows mismatched arguments... no
configure: error: The Fortran compiler gfortran will not compile files that call
the same routine with arguments of different types.
error: Bad exit status from /var/tmp/rpm-tmp.oTvTcj (%build)

Version-Release number of selected component (if applicable):
3.3.2-1.fc32

Steps to Reproduce:
koji build --scratch f32 mpich-3.3.2-1.fc32.src.rpm

Additional info:
This package is tracked by Koschei. See:
https://koschei.fedoraproject.org/package/mpich

This started after gcc was updated to 10:
https://koschei.fedoraproject.org/build/7737163

This blocks the Python 3.9 rebuild.

Comment 1 Zbigniew Jędrzejewski-Szmek 2020-01-29 09:03:13 UTC
I added a workaround, it should build fine now.

Comment 2 Ben Cotton 2020-02-11 17:23:42 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 32 development cycle.
Changing version to 32.

Comment 3 Zbigniew Jędrzejewski-Szmek 2020-06-24 21:30:49 UTC
The work-around was effective. Let's close this.


Note You need to log in before you can comment on or make changes to this bug.